AWS
action Fault Injection Simulator

# restore_availability_zone_power_after_interruption

Undo the 'AZ Availability - Power Interruption' scenario

Run it now
View details

Type | action
Module | chaosaws.fis.actions
Name | restore_availability_zone_power_after_interruption
Return | mapping

Usage

JSON

    {
      "name": "restore-availability-zone-power-after-interruption",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.fis.actions",
        "func": "restore_availability_zone_power_after_interruption"
      }
    }

YAML

    name: restore-availability-zone-power-after-interruption
    provider:
      func: restore_availability_zone_power_after_interruption
      module: chaosaws.fis.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
tags | string | reliably=true,chaoseengineering=true | No | Tags | Comma-separated list of tags that will be used to help you identify this particular experiment
delete_roles_and_policies | boolean | true | No | Delete Roles & Policies | Unset this if you want to keep the roles and policies for that experiment
delete_templates | boolean | true | No | Delete Template | Delete the FIS experiment template for this experiment

Signature

    def restore_availability_zone_power_after_interruption(
            tags: Union[str, Dict[str, str], NoneType] = None,
            delete_roles_and_policies: bool = True,
            delete_templates: bool = True,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> List[Dict[str, Any]]:
        pass

## Related starters

- AWS
  action Fault Injection Simulator

  ## `start_stress_pod_delete_scenario`

  Run the 'EKS Stress - Pod Delete' scenario
- AWS
  probe Fault Injection Simulator

  ## `get_experiment`

  Gets information about the specified experiment
- AWS
  action Fault Injection Simulator

  ## `start_stress_pod_delete_scenario`

  Run the 'EKS Stress - Pod Delete' scenario